Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.apache.xerces.validators.datatype
Class StringDatatypeValidator

    java.lang.Object
      |
      +--weblogic.apache.xerces.validators.datatype.AbstractDatatypeValidator
            |
            +--weblogic.apache.xerces.validators.datatype.StringDatatypeValidator

public class StringDatatypeValidator
extends AbstractDatatypeValidator

StringValidator validates that XML content is a W3C string type.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Version:
  $Id: StringDatatypeValidator.java,v 1.16 2000/07/31 17:56:52 jeffreyr Exp $
Author:
  Ted Leung, Kito D. Mann, Virtua Communications Corp., Jeffrey Rodriguez
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`StringDatatypeValidator()`
`StringDatatypeValidator(DatatypeValidator base, java.util.Hashtable facets, boolean derivedByList)`

Method Summary
`java.lang.Object` | `clone()` Returns a copy of this object.
`int` | `compare(java.lang.String content, java.lang.String facetValue)`
`java.util.Hashtable` | `getFacets()`
`void` | `setLocale(java.util.Locale locale)` set the locate to be used for error messages
`java.lang.Object` | `validate(java.lang.String content, java.lang.Object state)` validate that a string is a W3C string type

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StringDatatypeValidator

    public StringDatatypeValidator()
                            throws InvalidDatatypeFacetException

### StringDatatypeValidator

    public StringDatatypeValidator(DatatypeValidator base,
                                   java.util.Hashtable facets,
                                   boolean derivedByList)
                            throws InvalidDatatypeFacetException

Method Detail

### validate

    public java.lang.Object validate(java.lang.String content,
                                     java.lang.Object state)
                              throws InvalidDatatypeValueException

  validate that a string is a W3C string type

  Parameters:
    `content` - A string containing the content to be validated
    `list` -
  Throws:
    throws - InvalidDatatypeException if the content is not a W3C string type
    InvalidDatatypeValueException -
  Overrides:
    validate in class AbstractDatatypeValidator

### setLocale

    public void setLocale(java.util.Locale locale)

  set the locate to be used for error messages

### getFacets

    public java.util.Hashtable getFacets()

  Returns:
    A Hashtable containing the facets for this datatype.
  Overrides:
    getFacets in class AbstractDatatypeValidator

### compare

    public int compare(java.lang.String content,
                       java.lang.String facetValue)

  Overrides:
    compare in class AbstractDatatypeValidator

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Returns a copy of this object.

  Overrides:
    clone in class AbstractDatatypeValidator

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD